Bug 323568 - The preview of a layer is unreadable/very hard to read
Summary: The preview of a layer is unreadable/very hard to read
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Layer Stack (show other bugs)
Version: 2.8 Pre-Alpha
Platform: unspecified Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: http://i.imgur.com/W2tEEWH.jpg
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-15 21:37 UTC by slawek
Modified: 2013-08-27 18:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description slawek 2013-08-15 21:37:31 UTC
When pointing out with mouse cursor on layer i layer docker, after a short time preview and information about this layer pops out. Problem is that it is very light grey on white background - very hard to read if at all. I added a screenshot that illustrates the problem. Also in dark theme - shouldn't the background be dark as well - it is very hard on eyes if that giant, white square suddenly appears.

Reproducible: Always

Steps to Reproduce:
1.Point to the layer in layer docker, wait till information appears
2.
3.
Actual Results:  
Window with information pops out but its content is very hard to read. Also in dark theme it is white which hardly can be named as neutral.

Expected Results:  
Toned down window appears - ideally its colors are consistent with theme - and information on layer is easily readable (contrast between letters and background is bigger).
Comment 1 Halla Rempt 2013-08-27 18:49:14 UTC
Thanks for the report! Definitely confirmed.
Comment 2 Halla Rempt 2013-08-27 18:52:47 UTC
Interestingly, it's really windows-only. With the same style (plastique) the color is correct on Linux.
Comment 3 Halla Rempt 2013-08-27 18:58:49 UTC
Git commit 67c9e1fa5457c3b524b595edf04736c6dd574337 by Boudewijn Rempt.
Committed on 27/08/2013 at 18:58.
Pushed by rempt into branch 'master'.

Remove setPalette call

The tooltip palette is correct by itself, and calling this breaks the
theme color on Windows

M  +0    -1    libs/widgets/KoItemToolTip.cpp

http://commits.kde.org/calligra/67c9e1fa5457c3b524b595edf04736c6dd574337